### OP7_Unbrick: How I Unbricked My OnePlus 7T Pro Using the MSM Unbrick Tool

## Introduction

In this blog entry, I will explain how I bricked my OnePlus 7T Pro and how I successfully unbricked it using the MSM Unbrick tool. This guide will also serve as a repository for the necessary tools and resources, specifically for the OnePlus 7T Pro.

## The Situation

To explain the situation briefly, it’s pretty straightforward. I love custom ROMs, and since I use a Google Pixel 7 Pro with Graphene OS as my main device, I don't worry too much if one of my other devices gets bricked or broken. I had [Elixir OS](https://projectelixiros.com/home) installed on my OnePlus 7T Pro but wasn't satisfied with its overall look and performance. I don't know if the performance issues were due to the software or the hardware, but I decided to switch back to [crDroid](https://crdroid.net/), which I love for its unique features.

One of my favorite features of crDroid is the ability to swipe up slightly from the bottom to access a dock-like interface with up to five icons (which can also be folders). So, I tried to dirty flash crDroid over Elixir OS using Elixir’s recovery. Unfortunately, this didn’t go well.

My device ended up in a state where it was practically unusable. It wouldn't boot into fastboot mode, and even when it did, I couldn't flash certain partitions, or some partitions seemed broken. I recalled having a similar issue about two years ago with the same phone, which was my daily driver back then. 

Remembering that it was a relatively easy fix, I was frustrated when I couldn’t get the phone to boot again. Thankfully, I had some free time at work, and after some effort, I managed to revive my phone.

## How to Fix It

I don't claim to know everything about Android, ARM architecture, or phone internals, but this method worked for me, and I believe it could help others. This guide can also be used to reset your phone completely if something is off or not working. But don’t quote me on that!

Here’s how my phone looked when it was bricked, and this fix was probably the only solution.

### Things You Will Need

- Your OnePlus 7T Pro (This tool is specific to this model. For other OnePlus devices, you can check [here](https://onepluscommunityserver.com/list/Unbrick_Tools/)).
- A USB-C cable to connect to your laptop/PC.
- A PC/Laptop running Windows (I apologize, but I couldn’t find a Linux equivalent tool for this task).
- [Qualcomm Drivers](https://qcomdriver.com/)
    - Just follow the installer instructions.
- Download the MSM tool for your device (only OnePlus devices are supported as far as I know). For the OnePlus 7T Pro, you can find the tool here. For other devices, you can search [here](https://onepluscommunityserver.com/list/Unbrick_Tools/).

> [!TIP]
> The links provided are from the official OnePlus Community Server, ensuring the sources are from the manufacturer.

### How to Actually Fix It

1. **Unplug and Shut Down Your Phone Completely**
   - Don’t let it run out of battery, as this can damage your OLED screen and complicate the process. 
   - To shut it down, hold the `volume up` and `power` buttons simultaneously until the screen goes blank and the phone shuts down.

2. **Open the MSM Tool and Click on "Start"**

3. **Connect Your Phone in Qualcomm Mode**
   - With the phone turned off and the USB cable plugged into the PC, hold the `volume up` and `volume down` keys, and plug the other end of the cable into the phone.
   - **Caution:** There will be no sound, no screen turn-on, nothing! Only in the Device Manager will you see the Qualcomm device being recognized.

4. **Wait for the MSM Tool to Detect Your Phone**
   - If the MSM tool catches your phone, let it sit for a while (for me, it took about 300 seconds).

5. **Enjoy Your Freshly Unbricked Phone!**

And that's it! This method worked for me, and my OnePlus 7T Pro is now functioning perfectly again. Whether you're looking to recover a bricked device or reset your phone completely, the MSM Unbrick tool is a powerful and relatively easy-to-use solution.